- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitObjectiveValues Class Reference

the InitObjectiveValues class. More...

`#include <OSOption.h>`

Collaboration diagram for InitObjectiveValues:

[legend]
List of all members.

## Public Member Functions
| InitObjectiveValues ()
| Default constructor.
| ~InitObjectiveValues ()
| Class destructor.
bool | IsEqual (InitObjectiveValues *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setObj (int numberOfObj, InitObjValue **obj)
| A function to set an array of <obj> elements.
bool | setObj (int numberOfObj, int *idx, double *value)
| Alternative signature for this function.
bool | addObj (int idx, double value)
| A function to add a <obj> element.
## Public Attributes
int | numberOfObj
| number of <obj> children
InitObjValue ** | obj
| initial value for each objective

## Detailed Description

the InitObjectiveValues class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 1931 of file OSOption.h.

## Constructor & Destructor Documentation

InitObjectiveValues::InitObjectiveValues | ( |  | ) |

Default constructor.

Definition at line 776 of file OSOption.cpp.

References obj.

InitObjectiveValues::~InitObjectiveValues | ( |  | ) |

Class destructor.

Definition at line 785 of file OSOption.cpp.

References numberOfObj, and obj.

## Member Function Documentation

bool InitObjectiveValues::IsEqual | ( | InitObjectiveValues * | that | ) |

A function to check for the equality of two objects.

Definition at line 9540 of file OSOption.cpp.

References numberOfObj, and obj.

bool InitObjectiveValues::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10927 of file OSOption.cpp.

References numberOfObj, obj, OSRand(), and InitObjValue::setRandom().

Referenced by ObjectiveOption::setRandom().

bool InitObjectiveValues::setObj | ( | int | numberOfObj,
|  | InitObjValue ** | obj |
| ) |  |  |

A function to set an array of <obj> elements.

Parameters:

  | numberOfObj,: | number of <obj> elements to be set
  | obj,: | the array of <obj> elements that are to be set

Definition at line 5255 of file OSOption.cpp.

References ErrorClass::errormsg, and obj.

Referenced by OSOption::setInitObjValues(), and OSOption::setInitObjValuesSparse().

bool InitObjectiveValues::setObj | ( | int | numberOfObj,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Alternative signature for this function.

Parameters:

  | numberOfObj,: | number of <obj> elements to be set
  | idx,: | the array of indices
  | value,: | the array of corresponding values

Definition at line 5282 of file OSOption.cpp.

References InitObjValue::idx, obj, and InitObjValue::value.

bool InitObjectiveValues::addObj | ( | int | idx,
|  | double | value |
| ) |  |  |

A function to add a <obj> element.

Parameters:

  | idx,: | the index of the objective to be given an initial value
  | value,: | the inital value to be added

Definition at line 5310 of file OSOption.cpp.

References ErrorClass::errormsg, InitObjValue::idx, numberOfObj, obj, and InitObjValue::value.

Referenced by OSOption::setAnotherInitObjValue().

## Member Data Documentation

int InitObjectiveValues::numberOfObj

number of <obj> children

Definition at line 1935 of file OSOption.h.

Referenced by addObj(), OSOption::getNumberOfInitObjValues(), IsEqual(), OSOption::setInitObjValuesSparse(), setRandom(), and ~InitObjectiveValues().

InitObjValue** InitObjectiveValues::obj

initial value for each objective

Definition at line 1938 of file OSOption.h.

Referenced by addObj(), OSOption::getInitObjValuesSparse(), InitObjectiveValues(), IsEqual(), OSOption::setInitObjValuesDense(), setObj(), setRandom(), and ~InitObjectiveValues().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp